"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkix/build/temp.win-amd64-cpython-311/Release/rdkix_install\\share/RDKix\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E88693B00>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E88693C40>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E88693BA0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E88693CE0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E88693D80>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E88693E20>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E88693EC0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E88693F60>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8040>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E80E0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8180>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8220>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E82C0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8360>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8400>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E84A0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8540>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E85E0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8680>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8720>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E87C0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8860>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8900>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E89A0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8A40>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8AE0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8B80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8C20>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8CC0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8D60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8E00>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8EA0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8F40>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E8FE0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9080>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9120>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E91C0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9260>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9300>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E93A0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9440>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E94E0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9580>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9620>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E96C0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9760>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9800>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E98A0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9940>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E99E0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9A80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9B20>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9BC0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9C60>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9D00>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9DA0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9E40>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9EE0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886E9F80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA020>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA0C0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA160>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA200>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA2A0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA340>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA3E0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA480>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA520>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA5C0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA660>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA700>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA7A0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA840>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA8E0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EA980>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EAA20>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EAAC0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EAB60>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EAC00>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EAD40>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EACA0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EADE0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EAE80>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EAF20>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000022E886EAFC0>)]
name: str = 'fr_HOCCN'
